Page MenuHomePhabricator

add minor console monitoring utilities to base image (htop, bmon, iotop, atop)
Closed, ResolvedPublicFEATURE REQUEST

Description

I was never really a fan of top for system monitoring on a console, and usually bring in htop as a replacement.

htop

htop is relatively pain free to add

iftop may or may not have as much utility, for keeping an eye on throughput/connection endpoints on various network interfaces

iotop may be of use on monitoring local filesystem access (say, if squid is misbehaving)

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Asteroza created this task.Jun 27 2018, 6:29 AM
c-po added a subscriber: c-po.Jun 27 2018, 7:37 AM

@Asteroza usually htop only gives you a snapshot about the current system behavior/missbehavior. For this kind of thing I use SNMP monitoring with libreNMS so I get a detailed graph + backlog about the routers utilisation.

syncer triaged this task as Normal priority.Jun 27 2018, 7:56 AM
syncer added subscribers: dmbaturin, syncer.

Big fan of HTop here :)
@dmbaturin do we have iftop like thing somewhere already? (to see traffic usage)

personally I prefer bmon to iftop

syncer assigned this task to UnicronNL.Oct 13 2018, 6:23 PM
syncer added a subscriber: UnicronNL.

@UnicronNL
please add htop, iotop and bmon

syncer renamed this task from add minor console monitoring utilities to base image (htop, iftop, iotop) to add minor console monitoring utilities to base image (htop, bmon, iotop, atop).Oct 17 2018, 3:51 PM
dmbaturin closed subtask T910: add bmon as Resolved.
dmbaturin closed subtask T909: add htop as Resolved.
syncer closed subtask T912: add atop as Resolved.Oct 22 2018, 1:20 AM
syncer added a project: VyOS-1.2.0-LTS.
syncer closed this task as Resolved.
syncer moved this task from Backlog to Finished on the VyOS 1.2.x (VyOS 1.2.0-rc4) board.